<?xml version="1.0"?>
<block>
  <name>Spectrum Inverter</name>
  <key>marmote3_spectrum_inverter</key>
  <category>[marmote3]</category>
  <import>import marmote3</import>
  <make>marmote3.spectrum_inverter($invert)
self.$(id).register_monitor(getattr(self, 'modem_monitor', marmote3.modem_monitor_sptr()))</make>
  <callback>set_invert($invert)</callback>
  <param>
    <name>Invert</name>
    <key>invert</key>
    <value>False</value>
    <type>raw</type>
  </param>
  <sink>
    <name>in</name>
    <type>complex</type>
  </sink>
  <source>
    <name>out</name>
    <type>complex</type>
  </source>
</block>
